Delete product image
Clear the product imageUrl and delete the stored asset when it belongs to this organization. Requires a Write key.
DELETE
/products/{productId}/imageAutorisation
AutorisationJeton Bearer (API key) · headerobligatoireClé API de l’organisation.
Paramètres de chemin
productIdstringobligatoireRéponses
200Deleted
successbooleanobligatoire403Unauthorized
statusCodeintegerobligatoireCode de statut HTTP
messagestringobligatoireMessage d’erreur lisible
timestampstring<date-time>obligatoirepathstringobligatoireChemin de la requête
404Not found
statusCodeintegerobligatoireCode de statut HTTP
messagestringobligatoireMessage d’erreur lisible
timestampstring<date-time>obligatoirepathstringobligatoireChemin de la requête
Requête
curl -X DELETE "https://dashboard.scango.ch/api/v1/products/string/image" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://dashboard.scango.ch/api/v1/products/string/image", {
method: "DELETE",
headers: {
"Autorisation": "Bearer YOUR_TOKEN"
}
});Réponse
{
"success": true
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2019-08-24T14:15:22Z",
"path": "string"
}